Dre4m Shell
Server IP : 85.214.239.14  /  Your IP : 3.15.182.138
Web Server : Apache/2.4.61 (Debian)
System : Linux h2886529.stratoserver.net 4.9.0 #1 SMP Tue Jan 9 19:45:01 MSK 2024 x86_64
User : www-data ( 33)
PHP Version : 7.4.18
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare,
MySQL : OFF  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : OFF
Directory :  /proc/3/cwd/usr/share/perl-openssl-defaults/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /proc/3/cwd/usr/share/perl-openssl-defaults/get-libssl-abi
#!/bin/sh

# read SONAME version from /usr/lib/<triplet>/libssl.so

DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)}
DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)}

SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so
OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump

if [ ! -r "$SOFILE" ]; then
    echo "Can't read '$SOFILE', aborting" 1>&2
    exit 1
fi

if ! which "$OBJDUMP" >/dev/null 2>&1; then
    echo "Can't run '$OBJDUMP', aborting" 1>&2
    exit 1
fi

SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1')

if [ ! -n "$SONAME" ]; then
    echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2
    exit 2
fi

echo "$SONAME"

Anon7 - 2022
AnonSec Team